 <?php

if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400'); // cache for 1 day
}

error_reporting(E_ERROR | E_PARSE);

$jsonpost = $_POST['json'];

//$jsonpost = '{"datos":[{"database":"72999_locall11","op_id":"240000126","op_subtotal":"3.75","op_itbms":"0.00","op_total":"3.75","op_usuario":"0","op_desc":"0.00","suc_id":"2","op_fecha":"2018-12-11 11:45:32","no_estacion":"4","op_id_cliente":"1","cliente_n":"CLIENTE CONTADO","c_idfiscal":"000-000-000","op_direc":".","op_tipo":2,"op_tel":"","po_signo":"1","costo":3,"pago_efectivo":0,"pago_debito":0,"pago_credito":0,"pago_cheque":0,"op_pagado":0,"op_desctp":0}]}';

$obj = json_decode($jsonpost);

$datos = $obj->{'datos'};

foreach ($datos as $valor) {

    $_SESSION['database'] = $valor->{'database'};
    $_SESSION['op_id'] = $valor->{'op_id'};
    $_SESSION['op_subtotal'] = $valor->{'op_subtotal'};
    $_SESSION['op_itbms'] = $valor->{'op_itbms'};
    $_SESSION['op_total'] = $valor->{'op_total'};
    $_SESSION['c_idfiscal'] = $valor->{'c_idfiscal'};
    $_SESSION['cliente_n'] = $valor->{'cliente_n'};
    $_SESSION['op_direc'] = $valor->{'op_direc'};
    $_SESSION['op_usuario'] = $valor->{'op_usuario'};
    $_SESSION['op_id_cliente'] = $valor->{'op_id_cliente'};
    $_SESSION['op_desc'] = $valor->{'op_desc'};
    $_SESSION['suc_id'] = $valor->{'suc_id'};
    $_SESSION['op_fecha'] = $valor->{'op_fecha'};
    $_SESSION['no_estacion'] = $valor->{'no_estacion'};
    $_SESSION['op_tipo'] = $valor->{'op_tipo'};
    $_SESSION['op_tel'] = $valor->{'op_tel'};
    $_SESSION['po_signo'] = $valor->{'po_signo'};
    $_SESSION['costo'] = $valor->{'costo'};
    $_SESSION['pago_efectivo'] = $valor->{'pago_efectivo'};
    $_SESSION['pago_debito'] = $valor->{'pago_debito'};
    $_SESSION['pago_credito'] = $valor->{'pago_credito'};
    $_SESSION['pago_cheque'] = $valor->{'pago_cheque'};
    $_SESSION['op_pagado'] = $valor->{'op_pagado'};
    $_SESSION['op_desctp'] = $valor->{'op_desctp'};
    $_SESSION['op_v_id'] = $valor->{'op_usuario'};

}

$status = 1;
if ($_SESSION['po_signo'] == "-1") {
    $status = 2;
}

$op_subtotalneto = $_SESSION['op_subtotal'] - $_SESSION['op_desc'];

include 'conn.php';
include 'funciones.php';

$jsonData = array();
$jsonTempData = array();
$espera = "0";

$sqlop_id = "select op_id from " . $_SESSION['database'] . ".tmp_operacion  where op_id = '" . $_SESSION['op_id'] . "'";
$qur = $connection->query($sqlop_id);

while ($r = mysqli_fetch_assoc($qur)) {

    $espera = $r['op_id'];
}

$sqlbase = " select base, imp as
				porc_imp, ((a.base  *  a.imp) / 100) as imp,
				((a.base  *  a.imp) / 100) + a.base as total,
                 CASE imp
				 WHEN '0' THEN
				 '0'
				 WHEN '7.0' THEN
				 '1'
				 WHEN '10.0' THEN
				 '2'
				 WHEN '15.0' THEN
				 '3'
				 ELSE
				 '4'
				 END tipo_base
				from	(select sum(base) as base, imp, op_tipo from
				(select    o.po_itbms as imp , op_tipo,
				CASE op_tipo
				WHEN '2' THEN         sum(o.po_precio * o.po_cant - (((o.po_precio * o.po_cant) * o.porcdesc) /100)  -   (o.po_precio * o.po_cant - (((o.po_precio * o.po_cant) * o.porcdesc) /100)) * o.porcdesc_general /100 )
				WHEN '16.0' THEN    (-sum(o.po_precio * o.po_cant - (((o.po_precio * o.po_cant) * o.porcdesc) /100)  -   (o.po_precio * o.po_cant - (((o.po_precio * o.po_cant) * o.porcdesc) /100)) * o.porcdesc_general /100 ))
				END base
				from tmp_producto_op o
				join tmp_operacion co on o.po_op_id = co.op_id
				where co.op_id =  '" . $_SESSION['op_id'] . "'
				group by o.po_itbms, op_tipo) c
				group by c.imp) a";

$base0 = 0;
$base1 = 0;
$base2 = 0;
$base3 = 0;
$imp0 = 0;
$imp1 = 0;
$imp2 = 0;
$imp3 = 0;
while ($r = mysqli_fetch_assoc($sqlbase)) {

    $base = $r['base'];
    $tipo_base = $r['tipo_base'];
    $imp = $r['imp'];

    switch ($tipo_base) {
        case 0:
            $base0 = $base;
            $imp0 = $imp;
            break;
        case 1:
            $base1 = $base;
            $imp1 = $imp;
            break;
        case 2:
            $base2 = $base;
            $imp2 = $imp;
            break;
        case 3:
            $base3 = $base;
            $imp3 = $imp;
            break;
        case 4:
            break;
        default:
            break;
    }
}

if ($_SESSION['op_usuario'] == "0") {
    $_SESSION['op_usuario'] = 1;
}

$po_utilidad_porc = number_format((((($op_subtotalneto - $_SESSION['costo']) / $op_subtotalneto) * 100)) * $_SESSION['po_signo'], 3, '.', '');

//INSERTAR
if ($espera == "0") {

    $sql = "insert into " . $_SESSION['database'] . ".tmp_operacion (
										 op_v_id,
										 op_desctp,
										 op_desctm,
										 op_tipodesc,
										 sale_id,
										 id_status,
										 emp_imp0base,
										 emp_imp1base,
										 emp_imp2base,
										 emp_imp3base,
										 no_control,
										 op_utilidadporc,
										 op_utilidad,
										 op_efectivo,
										 op_cheque,
										 op_tdebito,
										 op_tcredito,
										 op_pagado,
										 op_contado,
										 op_costo,
										 op_subtotalneto,
										 op_id,
										 op_subtotal,
										 op_itbms,
										 op_total,
										 c_idfiscal2," .
        " op_nombre,
										 op_usuario,
										 op_desc,
										 suc_id,
										 op_fecha,
										 op_id_cliente,
										 op_tipo,
										 op_num_corre,
										 op_estacion,
										 op_id_espe,
										 op_direc,
										 op_telf)" .
        " values (
										 " . $_SESSION['op_v_id'] . ",
										 '" . $_SESSION['op_desctp'] . "',
										 '" . $_SESSION['op_desc'] * $_SESSION['po_signo'] . "',
										 1,
										 1,
										 " . $status . ",
										 " . $base0 . ",
										 " . $base1 . ",
										 " . $base2 . ",
										 " . $base3 . ",
										 " . $_SESSION['op_id'] . ",
										 " . $po_utilidad_porc . ",
										 " . (($op_subtotalneto - $_SESSION['costo']) * $_SESSION['po_signo']) . ",
										 " . $_SESSION['pago_efectivo'] * $_SESSION['po_signo'] . ",
										 " . $_SESSION['pago_cheque'] * $_SESSION['po_signo'] . ",
										 " . $_SESSION['pago_debito'] * $_SESSION['po_signo'] . ",
										 " . $_SESSION['pago_credito'] * $_SESSION['po_signo'] . ",
										 " . $_SESSION['op_pagado'] * $_SESSION['po_signo'] . ",
										 " . $_SESSION['op_total'] * $_SESSION['po_signo'] . ",
										 " . $_SESSION['costo'] * $_SESSION['po_signo'] . ",
										 " . $op_subtotalneto . ",
										 '" . $_SESSION['op_id'] . "',
										 '" . $_SESSION['op_subtotal'] * $_SESSION['po_signo'] . "',
										 '" . $_SESSION['op_itbms'] * $_SESSION['po_signo'] . "',
										 '" . $_SESSION['op_total'] * $_SESSION['po_signo'] . "',
										 '" . $_SESSION['c_idfiscal'] . "'" . ",
										 '" . $_SESSION['cliente_n'] . "',
										 " . $_SESSION['op_usuario'] . ",
										 '" . $_SESSION['op_desc'] * $_SESSION['po_signo'] . "',
										 " . $_SESSION['suc_id'] . ",
										 '" . $_SESSION['op_fecha'] . "',
										 '" . $_SESSION['op_id_cliente'] . "',
										 '" . $_SESSION['op_tipo'] . "',
										 '" . $_SESSION['op_id'] . "',
										 " . $_SESSION['no_estacion'] . ",
										 '" . $_SESSION['op_id'] . "',
										 '" . $_SESSION['op_direc'] . "',
										 '" . $_SESSION['op_tel'] . "')";
} else {
    $sql = "update " . $_SESSION['database'] . ".tmp_operacion set
										op_tipodesc = 1,
										sale_id = 1,
										id_status = " . $status . ",
										emp_imp0base = " . $base0 . ",
										emp_imp1base = " . $base1 . ",
										emp_imp2base = " . $base2 . ",
										emp_imp3base = " . $base3 . ",
										no_control = " . $_SESSION['op_id'] . ",
										op_utilidadporc = " . number_format((((($op_subtotalneto - $_SESSION['costo']) / $op_subtotalneto) * 100)) * $_SESSION['po_signo'], 3, '.', '') . ",
										op_utilidad = " . ($op_subtotalneto - $_SESSION['costo'] * $_SESSION['po_signo']) . ",
										op_efectivo = " . $_SESSION['pago_efectivo'] * $_SESSION['po_signo'] . ",
										op_cheque = " . $_SESSION['pago_cheque'] * $_SESSION['po_signo'] . ",
										op_tdebito = " . $_SESSION['pago_debito'] * $_SESSION['po_signo'] . ",
										op_tcredito = " . $_SESSION['pago_credito'] * $_SESSION['po_signo'] . ",
										op_pagado = " . $_SESSION['op_pagado'] * $_SESSION['po_signo'] . ",
										op_costo = " . $costo * $_SESSION['po_signo'] . ",
										op_subtotalneto = " . $op_subtotalneto . ",
										op_subtotal = '" . $_SESSION['op_subtotal'] * $_SESSION['po_signo'] . "',
										op_itbms ='" . $_SESSION['op_itbms'] * $_SESSION['po_signo'] . "',
										op_total = '" . $_SESSION['op_total'] * $_SESSION['po_signo'] . "',
										op_usuario= '" . $_SESSION['op_usuario'] . "',
										op_desc = '" . $_SESSION['op_desc'] * $_SESSION['po_signo'] . "',
										op_fecha='" . $_SESSION['op_fecha'] . "',
										op_tipo = '" . $_SESSION['op_tipo'] . "'
										where op_id = '" . $_SESSION['op_id'] . "'";
}

//print_r($sql);

$qur = $connection->query($sql);

//$sql= "update ".$_SESSION['database'].".tmp_producto_op set ubic_enviada = 1 where po_op_id = '".$_SESSION['op_id']."'";
//$qur = $connection->query($sql);

if ($_SESSION['codigo'] == "99") {

    $json->datos = "false";

} else {
    $json->datos = "true";

}

print_r(json_encode($json));

@mysqli_close($connection);
?>